Bug 178226 - [Patch] Update multimedia/gst123 to version 0.3.2
Summary: [Patch] Update multimedia/gst123 to version 0.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-28 22:10 UTC by Herbert J. Skuhra
Modified: 2013-05-03 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.66 KB, patch)
2013-04-28 22:10 UTC, Herbert J. Skuhra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2013-04-28 22:10:00 UTC
The attached patch updates multimedia/gst123 to version 0.3.2.

Fix: Patch attached with submission follows:
Comment 1 dfilter service freebsd_committer 2013-05-03 22:36:42 UTC
Author: rakuco
Date: Fri May  3 21:36:29 2013
New Revision: 317266
URL: http://svnweb.freebsd.org/changeset/ports/317266

Log:
  Update to 0.3.2.
  
  PR:		ports/178226
  Submitted by:	Herbert J. Skuhra <h.skuhra@gmail.com> (maintainer)

Modified:
  head/multimedia/gst123/Makefile
  head/multimedia/gst123/distinfo

Modified: head/multimedia/gst123/Makefile
==============================================================================
--- head/multimedia/gst123/Makefile	Fri May  3 21:35:23 2013	(r317265)
+++ head/multimedia/gst123/Makefile	Fri May  3 21:36:29 2013	(r317266)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	gst123
-# Date created:				Wed December 8, 2010
-# Whom:					Herbert J. Skuhra <h.skuhra@gmail.com>
-#
+# Created by: Herbert J. Skuhra <h.skuhra@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	gst123
-PORTVERSION=	0.2.1
-PORTREVISION=	1
+PORTVERSION=	0.3.2
 CATEGORIES=	multimedia
 MASTER_SITES=	http://space.twc.de/~stefan/gst123/
 
@@ -20,13 +15,24 @@ GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_BZIP2=	yes
 USE_GNOME=	gtk20
-USE_GSTREAMER=	good
 CONFIGURE_ENV=	NCURSES5_CONFIG=/usr/bin/true
 LDFLAGS+=	-lncurses
 
 PLIST_FILES=	bin/${PORTNAME}
 MAN1=		${PORTNAME}.1
 
+OPTIONS_DEFINE=	GSTREAMER1
+
+GSTREAMER1_DESC=	Multimedia support via GStreamer 1.0 (instead of 0.10)
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGSTREAMER1} || exists(${LOCALBASE}/libdata/pkgconfig/gstreamer-1.0.pc)
+USE_GSTREAMER1=	good
+.else
+USE_GSTREAMER=	good
+.endif
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/docs/${MAN1} ${MANPREFIX}/man/man1

Modified: head/multimedia/gst123/distinfo
==============================================================================
--- head/multimedia/gst123/distinfo	Fri May  3 21:35:23 2013	(r317265)
+++ head/multimedia/gst123/distinfo	Fri May  3 21:36:29 2013	(r317266)
@@ -1,2 +1,2 @@
-SHA256 (gst123-0.2.1.tar.bz2) = 5eb0c63bb75d8f1614cf4a4311a8b4a3a5069833cb0fcca0858ed2936926371a
-SIZE (gst123-0.2.1.tar.bz2) = 106502
+SHA256 (gst123-0.3.2.tar.bz2) = 51033261967da4cf1beb512e156e9f647572689202a1c2aceb8cd2beb427f53d
+SIZE (gst123-0.3.2.tar.bz2) = 112709
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-05-03 22:36:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!